/* This file is part of Cloudy and is copyright (C)1978-2007 by Gary J. Ferland
 * For conditions of distribution and use see copyright notice in license.txt */
/* hextra.h */
/** galactic background energy density of 1.8 eV cm-3 is from
 *>>refer	cr	background	Webber, W.R. 1998, ApJ, 506, 329 */ 
#define	CR_EDEN_GAL_BACK_EV_CMM3	1.8
/** parameters dealing with 'extra' heat to add to this zone due to cosmic rays*/
EXTERN struct t_hextra {
	/** parameters dealing with 'extra' heat to add to this zone due to cosmic rays*/
	float cryden, 
	  crpowr, 
	  crtemp;

	/** set true for cosmic rays in equipartition with magnetic field */
	bool lg_CR_B_equipartition;

	/** cosmic ray energy density (erg cm-2), used for pressure */
	double cr_energydensity;

	/** this is current cosmic ray density divided by default galactic background */
	float cryden_ov_background;

	/** this is default cosmic ray background  density and rate */
	float background_density;
	float background_rate;

	/** these three set with hextra command, first the heating rate */
	float TurbHeat, 

	  /** the scale radius for the heating */
	  turrad,

	  /** the scale radius from the back of the cloud */
	  turback;

	}	hextra;


