/* This file is part of Cloudy and is copyright (C)1978-2007 by Gary J. Ferland
 * For conditions of distribution and use see copyright notice in license.txt */
/** version.h */

#define CITATION	"Ferland, G. J., Korista, K. T., Verner, D. A., Ferguson, J. W., Kingdon, J. B., & Verner, E. M. 1998, PASP, 110, 761" 
#define CITATION_LATEX	"\\bibitem[Ferland et al.(1998)]{1998PASP..110..761F} Ferland, G.~J., Korista, K.~T., Verner, D.~A., Ferguson, J.~W., Kingdon, J.~B., \\& Verner, E.~M.\\ 1998, \\pasp, 110, 761" 
#define CITATION_SHORT	"Ferland et al. (1998)" 

EXTERN struct t_version {

	/** date of this version of the code as a string, set in cdinit.c,
	 * where space is allocated */
	char *chDate;

	/** version number of this version of the code, as a string, set in cdinit.c 
	 * where space is allocated */
	char *chVersion;

	/** normally zero, non-zero if this is a beta test version */
	long int nBetaVer;

	/* is this a release version?  if so do not print some internal comments */
	bool lgRelease;

	/** information about when and how the code was compiled */
	char chInfo[INPUT_LINE_LENGTH];

	/** string to print with print citation command */
	const char *chCitation;

	/** abbreviated form to print with print citation command */
	const char *chCitationShort;

	/** string to print latex bibitem with print citation command */
	const char *chCitationLatex;

}	version;

